Subject: Re: [PATCH v4 net-next 2/2] tc: add 'needs_l2' flag to ingress qdisc

From: Daniel Borkmann <[email-masked]>
Date: Sat, 11 Apr 2015 08:53:48 +0200

On 04/11/2015 02:45 AM, Cong Wang wrote:
...
> The problem you try to solve is kernel's implementation problem,
> users should not care, so we should make some effort to make ingress
> align with egress, rather than making more differences.

I guess you've followed the previous discussion up to this point,
and are aware that we cannot break some users f.e. such as u32.
There has been thought put into this and we went back and forth,
if you have a better suggestion on how to get it resolved properly
and generically, I'm all for it.